# Uses of Class
org.apache.sling.testing.mock.osgi.config.AnnotationTypedConfig

Packages that use AnnotationTypedConfig
Package
Description
org.apache.sling.testing.mock.osgi.config
OSGi Config Type Parameters core implementation.

## Uses of AnnotationTypedConfig in org.apache.sling.testing.mock.osgi.config

Methods in org.apache.sling.testing.mock.osgi.config that return AnnotationTypedConfig
Modifier and Type
Method
Description
`static <T> AnnotationTypedConfig<T>`
AnnotationTypedConfig.`newInstance(@NotNull Class<T> type, @NotNull Object config, @NotNull Annotation annotation)`
Constructs a new instance of a `AnnotationTypedConfig`.